This document describes the current stable version of Celery (5.6). For development docs, go here.

Celery Application.

# Proxies

celery.app.default_app = <Celery default>

  Proxy always returning the app set as default.

# Functions

celery.app.app_or_default(app=None)

  Function returning the app provided or the default app if none.

  The environment variable `CELERY_TRACE_APP` is used to trace app leaks. When enabled an exception is raised if there is no active app.

celery.app.enable_trace()

  Enable tracing of app instances.

celery.app.disable_trace()

  Disable tracing of app instances.